#include <iostream>

using namespace std;

int main()
{
    int ukupniPoeni, potrebnoZaSet;
    cin >> ukupniPoeni;
    cin >> potrebnoZaSet;

    if(ukupniPoeni < 3 * potrebnoZaSet)
    {
        cout << -1;
    }
    else if(ukupniPoeni % 2 == 0)
    {
        cout << potrebnoZaSet << " " << 0 << endl;
        ukupniPoeni = ukupniPoeni - potrebnoZaSet;
        cout << potrebnoZaSet << " " << 0 << endl;
        ukupniPoeni = ukupniPoeni - potrebnoZaSet;
        if(ukupniPoeni - potrebnoZaSet<= potrebnoZaSet - 2 && ukupniPoeni - potrebnoZaSet >= 0)
        {
            cout << potrebnoZaSet << " " << ukupniPoeni - potrebnoZaSet;
        }
        else
        {
            cout << ukupniPoeni / 2 + 1 << " " << ukupniPoeni / 2 -1;
        }
    }
    else
    {
        cout << potrebnoZaSet << " " << 1 << endl;
        ukupniPoeni = ukupniPoeni - potrebnoZaSet-1;
        cout << potrebnoZaSet << " " << 0 << endl;
        ukupniPoeni = ukupniPoeni - potrebnoZaSet;
        if(ukupniPoeni - potrebnoZaSet<= potrebnoZaSet - 2 && ukupniPoeni - potrebnoZaSet >= 0)
        {
            cout << potrebnoZaSet << " " << ukupniPoeni - potrebnoZaSet;
        }
        else
        {
            cout << ukupniPoeni / 2 + 1 << " " << ukupniPoeni / 2 -1;
        }
    }

    return 0;
}